package intrinsic.flash.data;

public class SQLConnection extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public boolean caseSensitiveLike;
	public int version;
	public boolean synchronous;
	public String columnNameStyle;
	public double totalChanges;
	public boolean inTransaction;
	public boolean connected;
	public double lastInsertRowID;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SQLConnection() {
}

public SQLConnection(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void begin();
public native void begin(String arg0);
public native void attach(String arg0);
public native void attach(String arg0, intrinsic.flash.filesystem.File arg1);
public native void attach(String arg0, intrinsic.flash.filesystem.File arg1, boolean arg2);
public native intrinsic.flash.data.SQLSchemaResult getSchemaResult();
public native void loadSchema();
public native void loadSchema(intrinsic.Class arg0);
public native void loadSchema(intrinsic.Class arg0, String arg1);
public native void loadSchema(intrinsic.Class arg0, String arg1, String arg2);
public native void loadSchema(intrinsic.Class arg0, String arg1, String arg2, boolean arg3);
public native void clean();
public native void open();
public native void open(intrinsic.flash.filesystem.File arg0);
public native void open(intrinsic.flash.filesystem.File arg0, boolean arg1);
public native void open(intrinsic.flash.filesystem.File arg0, boolean arg1, boolean arg2);
public native void open(intrinsic.flash.filesystem.File arg0, boolean arg1, boolean arg2, int arg3);
public native void commit();
public native void deanalyze();
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native intrinsic.flash.filesystem.File getFile();
public native void detach(String arg0);
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native void cancel();
public native void close();
public native void rollback();
public native void analyze();
public native void analyze(String arg0);

}
